Loading...
Searching...
No Matches
EST_ChunkPtr Class Reference

## Public Member Functions

| EST_ChunkPtr (const EST_ChunkPtr &cp) CII(
int | size (void) const
int | shareing (void) const
int | count (void) const
EST_ChunkPtr & | operator= (EST_ChunkPtr cp) CII(
EST_ChunkPtr & | operator= (EST_Chunk *chp) CII(
| operator char * () CII(
| operator const char * () const CII(
| operator const char * () CII(
const char | operator[] (int i) const
char & | operator() (int i) CII(

## Friends

EST_ChunkPtr | chunk_allocate (int size)
EST_ChunkPtr | chunk_allocate (int bytes, const char *initial, int initial_len)
EST_ChunkPtr | chunk_allocate (int bytes, const EST_ChunkPtr &initial, int initial_start, int initial_len)
void | cp_make_updatable (EST_ChunkPtr &shared, EST_Chunk::EST_chunk_size inuse)
void | cp_make_updatable (EST_ChunkPtr &shared)
void | grow_chunk (EST_ChunkPtr &shared, EST_Chunk::EST_chunk_size inuse, EST_Chunk::EST_chunk_size newsize)
void | grow_chunk (EST_ChunkPtr &shared, EST_Chunk::EST_chunk_size newsize)
ostream & | operator<< (ostream &s, const EST_ChunkPtr &cp)
void | tester (void)

## Detailed Description

Definition at line 158 of file EST_Chunk.h.

## Constructor & Destructor Documentation

## EST_ChunkPtr() [1/2]

EST_ChunkPtr::EST_ChunkPtr | ( | void |  | ) |

inline

Definition at line 167 of file EST_Chunk.h.

## EST_ChunkPtr() [2/2]

EST_ChunkPtr::EST_ChunkPtr | ( | const EST_ChunkPtr & | cp | ) |

inline

Definition at line 169 of file EST_Chunk.h.

## ~EST_ChunkPtr()

EST_ChunkPtr::~EST_ChunkPtr | ( | void |  | ) |

inline

Definition at line 175 of file EST_Chunk.h.

## Member Function Documentation

## size()

int EST_ChunkPtr::size | ( | void |  | ) | const

inline

Definition at line 177 of file EST_Chunk.h.

## shareing()

int EST_ChunkPtr::shareing | ( | void |  | ) | const

inline

Definition at line 178 of file EST_Chunk.h.

## count()

int EST_ChunkPtr::count | ( | void |  | ) | const

inline

Definition at line 179 of file EST_Chunk.h.

## operator=() [1/2]

EST_ChunkPtr & EST_ChunkPtr::operator= | ( | EST_ChunkPtr | cp | ) |

inline

Definition at line 181 of file EST_Chunk.h.

## operator=() [2/2]

EST_ChunkPtr & EST_ChunkPtr::operator= | ( | EST_Chunk * | chp | ) |

inline

Definition at line 194 of file EST_Chunk.h.

## operator char *()

EST_ChunkPtr::operator char * | ( |  | ) |

inline

Definition at line 206 of file EST_Chunk.h.

## operator const char *() [1/2]

EST_ChunkPtr::operator const char * | ( |  | ) | const

inline

Definition at line 214 of file EST_Chunk.h.

## operator const char *() [2/2]

EST_ChunkPtr::operator const char * | ( |  | ) |

inline

Definition at line 217 of file EST_Chunk.h.

## operator[]()

const char EST_ChunkPtr::operator[] | ( | int | i | ) | const

inline

Definition at line 222 of file EST_Chunk.h.

## operator()()

char & EST_ChunkPtr::operator() | ( | int | i | ) |

inline

Definition at line 223 of file EST_Chunk.h.

## Friends And Related Symbol Documentation

## chunk_allocate [1/3]

EST_ChunkPtr chunk_allocate | ( | int | size | ) |

friend

Definition at line 237 of file EST_Chunk.cc.

## chunk_allocate [2/3]

EST_ChunkPtr chunk_allocate | ( | int | bytes,
|  | const char * | initial,
|  | int | initial_len )

friend

Definition at line 244 of file EST_Chunk.cc.

## chunk_allocate [3/3]

EST_ChunkPtr chunk_allocate | ( | int | bytes,
|  | const EST_ChunkPtr & | initial,
|  | int | initial_start,
|  | int | initial_len )

friend

Definition at line 261 of file EST_Chunk.cc.

## cp_make_updatable [1/2]

void cp_make_updatable | ( | EST_ChunkPtr & | shared,
|  | EST_Chunk::EST_chunk_size | inuse )

friend

Definition at line 286 of file EST_Chunk.cc.

## cp_make_updatable [2/2]

void cp_make_updatable | ( | EST_ChunkPtr & | shared | ) |

friend

Definition at line 299 of file EST_Chunk.cc.

## grow_chunk [1/2]

void grow_chunk | ( | EST_ChunkPtr & | shared,
|  | EST_Chunk::EST_chunk_size | inuse,
|  | EST_Chunk::EST_chunk_size | newsize )

friend

Definition at line 330 of file EST_Chunk.cc.

## grow_chunk [2/2]

void grow_chunk | ( | EST_ChunkPtr & | shared,
|  | EST_Chunk::EST_chunk_size | newsize )

friend

Definition at line 318 of file EST_Chunk.cc.

## operator<<

ostream & operator<< | ( | ostream & | s,
|  | const EST_ChunkPtr & | cp )

friend

Definition at line 246 of file EST_Chunk.h.

The documentation for this class was generated from the following files:

- include/EST_Chunk.h
- base_class/string/EST_Chunk.cc